Description

Support Anfrage:

ich habe von meinem Kollegen noch einen vermutlichen Bug unter ADTF 3.3.3 reported bekommen.

"Offenbar ein Bug in ADTF 3.3.3 Release (Windows).

Anbei ein Filtergraph, mit ADTF Demo Filtern:

 DemoDataTriggeredThreadProblems.png 

Attached das Projekt, neue Session Demo_Standard_Filter_Test. (neuer test Filtergraph im demo_data_and_time_triggered Graph).

In der Release-Version stürzt der Launcher nach wechsel auf Runlevel 5 ab. Probleme offenbar beim ersten Sample/Trigger vom

zweiten Generator. Mutex hilft auch nicht. In der Debug-Version läuft er ohne murren. Evtl. ein Initialisierungsproblem beim Sample

Stream? Debuggen geht ja nun mal nicht.

Ich hab noch etwas mit Release Debugged und der Stacktrace beim Abstürzen sah so aus, als es ein Problem beim Befüllen der

internen Queue des Pins gab (Push).

"

Ich habe das Projekt bei mir ebenfalls ausprobiert und bekomme nach dem Wechsel zu rl 5 eine unhandled exception.

1.  D:\ADTF_installations\EB Assist ADTF 3.3.3\bin>adtf_launcher.exe -session="D:\Support\2372 ADTF

3\ADTF_Project\ADTF_Project\adtfsessions\Demo_Standard_Filters_Test.adtfsession"

2.  D:\ADTF_installations\EB Assist ADTF 3.3.3\bin>adtf_control.exe

3.  adtf> connect

4.  adtf> rl 5
Lösung:

Das ist eigentlich ein Fehler im CE. Es sollte nämlich gar nicht möglich sein, mehrere Output Pins mit einen Sample Stream zu

verbinden.

Das ist immer eine 1-1 Beziehung. Wenn zwei Datenströme zusammengefasst werden sollen, muss das immer ein Filter machen (in

etwa so wie es der Demo Data Triggered Filter macht).

Für den Fehler wurde das Produktticket ACORE-9863 erstellt.

History

#1 - 2019-01-16 10:44 - hidden

- Project changed from Public Support to 7

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.3.3 added

@Martin: Kannst du dir das mal anschauen ?

#2 - 2019-01-17 11:09 - hidden

@Anja: Unabhängig von Martins Analyse, bitte den Control mit aktivierten Logging (console) starten, so wie das der CE machen würde, ich nehme an

der Fehler im Pop ist das Ende der Kette, und früher im Log der eigentliche Fehler zu finden.
#3 - 2019-01-17 14:39 - hidden

Hi Anja,

Das ist eigentlich ein Fehler im CE. Es sollte nämlich gar nicht möglich sein, mehrere Output Pins mit einen Sample Stream zu verbinden. Das ist

immer eine 1-1 Beziehung. Wenn zwei Datenströme zusammengefasst werden sollen, muss das immer ein Filter machen (in etwa so wie es der

Demo Data Triggered Filter macht).

@Sebastian, erstellst Du Dir da ein Ticket, oder soll ich eins machen?

Grüße,

Martin

#5 - 2019-01-24 08:13 - hidden

Erledigt: ACORE-9863

#6 - 2019-01-24 08:35 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9863

- Platform Windows 7 64bit added

Hallo Anja, EB Team,

für das Problem wurde das Produktticket ACORE-9863 erstellt.

Die weitere Bearbeitung erfolgt wieder über das Produktticket.

Können wir dieses Supportticket schließen?

Gruß

Matthias

#7 - 2019-01-25 09:30 - hidden

Ja, ist ok. Danke.

#8 - 2019-01-25 09:53 - hidden

- Subject changed from FW: EBPRODUCTSUPPORT-2372 Bug in ADTF 3.3.3 Relase: Multithreaded Sample Stream. to

EBPRODUCTSUPPORT-2372 SampleStream can only handle one output pin from filter

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Ticket und Titel angepasst.

Ticket kann geschlossen werden

#9 - 2019-01-31 13:27 - hidden

- Project changed from 7 to Public Support

- Status changed from To Be Closed to Closed

#10 - 2019-01-31 13:27 - hidden

- Private changed from Yes to No
